
QGIS Application - Bug report #17036

python error when using the "create grid" tool and outputting to postgis

2017-08-18 07:31 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24935

Description

Traceback (most recent call last): File "/usr/share/qgis/python/plugins/processing/algs/qgis/GridPolygon.py", line 152, in processAlgorithm

sink, width, height, originX, originY, hSpacing, vSpacing, hOverlay, vOverlay, feedback) File

"/usr/share/qgis/python/plugins/processing/algs/qgis/GridPolygon.py", line 195, in _rectangleGrid sink.addFeature(ft,

QgsFeatureSink.FastInsert) AttributeError: 'NoneType' object has no attribute 'addFeature'

seen on master/ubuntu 16.04

is ok if outputting to temp layer or shapefile.

History

#1 - 2018-06-05 09:05 AM - Nyall Dawson

- Status changed from Open to Feedback

Can't reproduce on master. Is this still an issue?

#2 - 2018-08-25 03:07 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
